## ucar.netcdf
Class HTTPRandomAccessFile

    java.lang.Object
      ucar.netcdf.RandomAccessFile
          ucar.netcdf.HTTPRandomAccessFile

All Implemented Interfaces:
  DataInput, DataOutput

public class HTTPRandomAccessFile
extends RandomAccessFile

HTTPRandomAccessFile.java.

Field Summary

Fields inherited from class ucar.netcdf.RandomAccessFile
`buffer, bufferModified, bufferStart, CREATE, dataEnd, dataSize, defaultBufferSize, endOfFile, file, filePosition, mode, READ, WRITE`

Constructor Summary
`HTTPRandomAccessFile(URL url)`
`HTTPRandomAccessFile(URL url, int bufferSize)`

Method Summary
`void` `close()` override the rest of the RandomAccessFile public methods
`FileDescriptor` `getFD()` Returns the opaque file descriptor object associated with this file.
`long` `length()` Get the length of the file.
`protected int` `read_(long pos, byte[] buff, int off, int len)`

Methods inherited from class ucar.netcdf.RandomAccessFile

`benchmark, flush, getFilePointer, main, read, read, read, readBoolean, readByte, readChar, readDouble, readFloat, readFully, readFully, readInt, readLine, readLong, readShort, readUnsignedByte, readUnsignedShort, readUTF, seek, skipBytes, testBlocks, testBytes, toString, unread, write, write, write, writeBoolean, writeByte, writeBytes, writeBytes, writeBytes, writeChar, writeChars, writeDouble, writeFloat, writeInt, writeLong, writeShort, writeUTF`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HTTPRandomAccessFile

    public HTTPRandomAccessFile(URL url)
                         throws IOException

### HTTPRandomAccessFile

    public HTTPRandomAccessFile(URL url,
                                int bufferSize)
                         throws IOException

Method Detail

### read_

    protected int read_(long pos,
                        byte[] buff,
                        int off,
                        int len)
                 throws IOException

  Overrides:
    `read_` in class `RandomAccessFile`
  Throws:
    `IOException`

### length

    public long length()
                throws IOException

  Description copied from class: `RandomAccessFile`
  Get the length of the file. The data in the buffer (which may not have been written the disk yet) is taken into account.

  Overrides:
    `length` in class `RandomAccessFile`
  Returns:
    the length of the file in bytes.
  Throws:
    `IOException` - if an I/O error occurrs.

### close

    public void close()

  override the rest of the RandomAccessFile public methods

  Overrides:
    `close` in class `RandomAccessFile`

### getFD

    public FileDescriptor getFD()

  Description copied from class: `RandomAccessFile`
  Returns the opaque file descriptor object associated with this file.

  Overrides:
    `getFD` in class `RandomAccessFile`
  Returns:
    the file descriptor object associated with this file.